# Please set environment variable LMTO_DMFT_ROOT (in ~/.bashrc) to the same path as DESTDIR in this Makefile
# Set PATHATOM to location of LmtArty atomdat directory

DESTDIR = /home/haule/lmto_dmft/bin
PATHATOM = \/home\/haule\/realMaterial\/data\/atomdat

CMP = f2py --fcompiler=intel # fortran to python converter
F90 = ifort 
F77 = ifort
FFLAGS = -O3 -fPIC
F2PL = #--fcompiler=intelem --arch='-O3' #-DF2PY_REPORT_ON_ARRAY_COPY=1 # options for f2py
F0FLAGS = -O1

C++ = g++ # C++ compiler
PC++ = mpicxx # parallel compilers
pcc = mpicc # parallel compilers
OFLAGS = -O3 # optimization
GFLAGS = -g -C # debugging
#PFLAGS = -D_MPI -I/opt/mpich-1.2.7-gnu/include
#PLIBS = -i-static -L/opt/pgi/linux86-64/7.0-3/lib -llapack -lblas -lpgftnrtl -lpgc -lgsl -lgslcblas -lrt
PLIBS = -L/opt/intel/mkl/10.0.1.014/lib/32 -lmkl_lapack -lmkl -lguide -lgsl -pthread

LLIBS = -L/opt/intel/mkl/10.0.1.014/lib/32 -lmkl_lapack -lmkl -lguide -pthread
